Bug 201452 - tcltk library complains about thread incompatability
Summary: tcltk library complains about thread incompatability
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ruby   
(Show other bugs)
Version: 6
Hardware: powerpc Linux
medium
high
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-05 16:00 UTC by Torsten Ekedahl
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.8.5.114-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 04:29:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Torsten Ekedahl 2006-08-05 16:00:05 UTC
Description of problem:
While using a lyrics plugin to amarok I get the following
intermittent error message:

/usr/lib/ruby/1.8/tk.rb:1102: warning: Inconsistency. Loaded Tcl/Tk libraries 
are enabled 
nativethread-support. But `tcltklib' is not. The inconsistency causes SEGV or 
other troubles 
frequently.
/home/matte/teke/.kde/share/apps/amarok/scripts/lyriki-lyrics/lyrics_jamendo.rb:61:in 
`artist_and_title_to_query_url': undefined method `body' for nil:NilClass 
(NoMethodError)

Version-Release number of selected component (if applicable):

I have the following versions of what I think are the relevant 
components (I give the full info to make sure that I actually
use the right packages and not something picked up from another
repository).

homealone[2]rpm -qfi /usr/lib/ruby/1.8/tk.rb
Name        : ruby-tcltk                   Relocations: (not relocatable)
Version     : 1.8.4                             Vendor: Red Hat, Inc.
Release     : 8.fc5                         Build Date: Fri 21 Jul 2006 
01:22:56 PM CEST
Install Date: Tue 25 Jul 2006 06:46:15 AM CEST      Build Host: 
hs20-bc2-3.build.redhat.com
Group       : Development/Languages         Source RPM: 
ruby-1.8.4-8.fc5.src.rpm
Size        : 5846656                          License: Ruby License/GPL - see 
COPYING
Signature   : DSA/SHA1, Sat 22 Jul 2006 08:46:53 PM CEST, Key ID 
b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.ruby-lang.org/
Summary     : Tcl/Tk interface for scripting language Ruby.
Description :
Tcl/Tk interface for the object-oriented scripting language Ruby.

homealone[2]rpm -qi tcl-8.4.13-1.1
Name        : tcl                          Relocations: (not relocatable)
Version     : 8.4.13                            Vendor: Red Hat, Inc.
Release     : 1.1                           Build Date: Mon 05 Jun 2006 
05:35:32 PM CEST
Install Date: Tue 13 Jun 2006 04:49:53 PM CEST      Build Host: 
ls20-bc2-14.build.redhat.com
Group       : Development/Languages         Source RPM: tcl-8.4.13-1.1.src.rpm
Size        : 2833048                          License: BSD
Signature   : DSA/SHA1, Mon 12 Jun 2006 05:29:18 PM CEST, Key ID 
b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://tcl.sourceforge.net/
Summary     : Tcl scripting language development environment
Description :
The Tcl (Tool Command Language) provides a powerful platform for
creating integration applications that tie together diverse
applications, protocols, devices, and frameworks. When paired with the
Tk toolkit, Tcl provides a fastest and powerful way to create
cross-platform GUI applications.  Tcl can also be used for a variety
of web-related tasks and for creating powerful command languages for
applications.

homealone[2]rpm -qi tk-8.4.13-1.1
Name        : tk                           Relocations: (not relocatable)
Version     : 8.4.13                            Vendor: Red Hat, Inc.
Release     : 1.1                           Build Date: Fri 09 Jun 2006 
05:58:03 PM CEST
Install Date: Tue 13 Jun 2006 04:50:04 PM CEST      Build Host: 
ls20-bc2-14.build.redhat.com
Group       : Development/Languages         Source RPM: tk-8.4.13-1.1.src.rpm
Size        : 2378714                          License: BSD
Signature   : DSA/SHA1, Mon 12 Jun 2006 05:29:24 PM CEST, Key ID 
b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://tcl.sourceforge.net/
Summary     : Tk graphical toolkit for the Tcl scripting language
Description :
When paired with the Tcl scripting language, Tk provides a fast and powerful
way to create cross-platform GUI applications.


How reproducible:

It appearsintermittently from several times a day to once a week.


Steps to Reproduce:
1. Download the lyriki script to amarok.
2. Activate lyriki.
3. Keep using amarok for some time.
  
Actual results:
I get an error window with the above error message.

Expected results:
No error window .-)

Additional info:

Comment 1 Akira TAGOH 2006-09-06 08:59:56 UTC
This should be fixed in 1.8.5-1.fc6 except on ppc. I need to investigate much
further to fix a crash issue at the build time.

Comment 2 Akira TAGOH 2007-10-15 13:23:12 UTC
Fixed in 1.8.5.113-2.fc6.

Comment 3 Fedora Update System 2007-10-15 21:32:05 UTC
ruby-1.8.6.110-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ruby'


Note You need to log in before you can comment on or make changes to this bug.